Security Enhanced Linux Reference Policy

# Layer: services

## Module: icecast

Tunables Interfaces

### Description:

ShoutCast compatible streaming media server.

### Tunables:

icecast_use_any_tcp_ports

##### Default value

false

##### Description

Determine whether icecast can listen on and connect to any TCP port.

Return

### Interfaces:

icecast_admin( domain , role )

##### Summary

All of the rules required to administrate an icecast environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

icecast_append_log( domain )

##### Summary

Append icecast log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

icecast_domtrans( domain )

##### Summary

Execute a domain transition to run icecast.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

icecast_initrc_domtrans( domain )

##### Summary

Execute icecast server in the icecast domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

icecast_manage_log( domain )

##### Summary

Create, read, write, and delete icecast log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allow access.

icecast_manage_pid_files( domain )

##### Summary

Create, read, write, and delete icecast pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

icecast_read_log( domain )

##### Summary

Read icecast log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

icecast_signal( domain )

##### Summary

Send generic signals to icecast.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return